Get all Actions belonging to an account Run in API Explorer
Ask AI
Get all related actions for the referenced account uuid (see header)
Query parameters
-
affects whether to include actions which have been completed. Valid options are "exclude", "include", "only". (default: "exclude")
-
Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to '-created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v2/portal/actions
curl \
--request GET 'https://api.plannrcrm.com/api/v2/portal/actions' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "34b23ea4-c498-4793-9a05-42d9e8b88308",
"title": "Signature Request",
"description": "Invited to complete the action item",
"type": "fact_find_request",
"is_completed": "true",
"resource": {
"uuid": "f77d379d-446c-4226-bc0a-b4ec1825c04a",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"status": "complete",
"completed_at": "2026-10-23T10:39:29+01:00",
"invitation_text": "Please complete this fact find!",
"schema": {
"uuid": "f57f045a-123c-4f53-b784-82f9d18b6807",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"archived_at": "2026-10-27T10:39:33+00:00",
"is_archived": false,
"name": "Default fact find",
"introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
"sections_count": 5,
"public_url": "https://api.plannrcrm.com/fact-find/134fe6b0-3ea7-4f09-b7da-0f5247cc76e4"
},
"latest_file": {
"uuid": "c5a1723d-f62d-4a5a-a386-a8ee00cc49f4",
"created_at": "2026-10-28T10:39:33+00:00",
"original_created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"uploaded_at": "2026-10-28T10:39:33+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-28T10:39:33+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/a1e14fe2-a7b3-4403-9675-539b30497c8b/download",
"preview_url": "https://api.plannrcrm.com/file/577a8c11-809d-4a37-aa71-01f131cc8687/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"account": {
"uuid": "521a3e75-48e4-4097-a1eb-4bc2322f61fb",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"invitation_url": "https://api.plannrcrm.com/fact-find/96c2e99b-853c-4253-bae0-5d89a6a4d62f/1752db67-5cf8-4a45-9a5b-980851292326",
"fact_find_passes": {
"uuid": "530bd6ba-1a65-4aee-a5e8-805c010bf8e6",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"firm": {
"uuid": null,
"name": "Codepotato Ltd"
},
"circle": {
"uuid": null,
"name": "The Codepotato Gang"
},
"expires_at": "2026-10-28T10:39:33+00:00",
"progress": 50,
"is_complete": false,
"completed_sections": 2
}
},
"created_at": "2026-10-28T10:39:29+00:00"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}